Page 1 of 1

VICE 3.2 (Flatpak)

Posted: Sat Aug 11, 2018 8:15 am
by Janni
In the software repository there is a package called net.sf.VICE (Vice 3.2), a Commodore 64 Emulator.
When trying to save the config I get a error msg. saying "Failed to save settings to default file."

Does anybody have a clue why ? Could it be access problems ?

Looks like it is trying to save to : /home/me/.config/vice/vicerc

Thanks,

Re: VICE 3.2 (Flatpak)

Posted: Sat Aug 11, 2018 8:21 am
by catweazel
Does the directory /home/me/.config/vice/ exist?

Re: VICE 3.2 (Flatpak)

Posted: Sun Aug 12, 2018 3:11 am
by Janni
catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists

Re: VICE 3.2 (Flatpak)

Posted: Sun Aug 12, 2018 3:25 am
by catweazel
Janni wrote:
Sun Aug 12, 2018 3:11 am
catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists
You can try this in a terminal:

sudo chown -R $USER:$USER /home/me/.config/vice

If that doesn't help, you'll need to wait for someone else to come along.

Re: VICE 3.2 (Flatpak)

Posted: Sun Aug 12, 2018 7:17 am
by Janni
catweazel wrote:
Sun Aug 12, 2018 3:25 am
Janni wrote:
Sun Aug 12, 2018 3:11 am
catweazel wrote:
Sat Aug 11, 2018 8:21 am
Does the directory /home/me/.config/vice/ exist?
Hi catweazel, yes it exists
You can try this in a terminal:

sudo chown -R $USER:$USER /home/me/.config/vice

If that doesn't help, you'll need to wait for someone else to come along.
Unfortunately that didn't help.
Thanks for your help anyway, I appreciate it.

Re: VICE 3.2 (Flatpak)

Posted: Sun Aug 12, 2018 7:24 am
by catweazel
Janni wrote:
Sun Aug 12, 2018 7:17 am
Thanks for your help anyway, I appreciate it.
:)

Re: VICE 3.2 (Flatpak)

Posted: Sun Aug 19, 2018 4:27 pm
by BG405
I notice that VICE .deb is version 2.4 in the repos for Mint 18.x (18.2 anyway, assuming the sources are the same for point releases) whereas it's at version 3.2-1 in the Manjaro "extra" repos, so I've installed on both systems & will check out the differences. :) It had eluded my attention that these projects would be revived along with the general interest in the Commodore (and other 8-bit) machines.

Wonder if it can now emulate something running EhBASIC (6502)? .. Probably not, but I AM looking for a 6502 simulator :mrgreen:

I'm going to give the FlatPak version a go later on both Mint 17.3 Cinnamon and Mint 18.2 KDE & see if the same issue occurs, or at least (hopefully) be able to see what went wrong on yours.

Re: VICE 3.2 (Flatpak)

Posted: Mon Dec 03, 2018 6:16 am
by sclm
Any news regarding this error?
The abovementioned guide is uneffective on my 64bit XFCE system :-(
The problem was also raised here:
https://sourceforge.net/p/vice-emu/bugs/1064/
https://sourceforge.net/p/vice-emu/bugs/1034/

It would be nice to maintain the latest build of the VICE through the Flapak,
otwerwise are still usable these howtos:
https://askubuntu.com/questions/357331/ ... or-to-work
https://ubuntuforums.org/showthread.php ... +commodore

Thanks for any help.